package com.tzy.common.core.domain;

import java.io.Serializable;

public class Mtree implements Serializable
{
    private static final long serialVersionUID = 1L;
    /** 节点ID */
    private Long id;

    /** 节点父ID */
    private Long parentnodes;

    /** 节点名称 */
    private String value;

    /** 节点标题 */
    private String text;

    private String img;
    
    private boolean showcheck=false;
    /** 是否勾选 */
    private boolean checkstate = false;

    /** 是否展开 */
    private boolean isexpand = false;
    
    private String hasChildren="false";
    
    public void setId(Long id) {
		this.id = id;
	}

	public void setParentnodes(Long parentnodes) {
		this.parentnodes = parentnodes;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public Long getId() {
		return id;
	}

	public Long getParentnodes() {
		return parentnodes;
	}

	public String getValue() {
		return value;
	}

	public String getText() {
		return text;
	}

	public String getImg() {
		return img;
	}

	public boolean isShowcheck() {
		return showcheck;
	}

	public boolean isCheckstate() {
		return checkstate;
	}

	public boolean isIsexpand() {
		return isexpand;
	}

	public String getHasChildren() {
		return hasChildren;
	}

	public void setText(String text) {
		this.text = text;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public void setShowcheck(boolean showcheck) {
		this.showcheck = showcheck;
	}

	public void setCheckstate(boolean checkstate) {
		this.checkstate = checkstate;
	}

	public void setIsexpand(boolean isexpand) {
		this.isexpand = isexpand;
	}

	public void setHasChildren(String hasChildren) {
		this.hasChildren = hasChildren;
	}

	

}
